Bug 1307182 - [abrt] geoclue-gui: geoclue_master_client_set_requirements_async(): geoclue-test-gui killed by SIGSEGV
[abrt] geoclue-gui: geoclue_master_client_set_requirements_async(): geoclue-t...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geoclue (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ad9fbb978906321feaed005d55f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 18:08 EST by Daniel
Modified: 2016-12-20 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:40:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.02 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: core_backtrace (11.00 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: dso_list (9.63 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: environ (3.32 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: maps (48.18 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: mountinfo (4.90 KB, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: open_fds (608 bytes, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-12 18:08 EST, Daniel
no flags Details

  None (edit)
Description Daniel 2016-02-12 18:08:35 EST
Version-Release number of selected component:
geoclue-gui-0.12.99-8.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/geoclue-test-gui
crash_function: geoclue_master_client_set_requirements_async
executable:     /usr/bin/geoclue-test-gui
global_pid:     6450
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 geoclue_master_client_set_requirements_async at geoclue-master-client.c:413
 #1 update_master_requirements at geoclue-test-gui.c:608
 #2 accuracy_combo_changed at geoclue-test-gui.c:735

Potential duplicate: bug 1180636
Comment 1 Daniel 2016-02-12 18:08:38 EST
Created attachment 1123664 [details]
File: backtrace
Comment 2 Daniel 2016-02-12 18:08:39 EST
Created attachment 1123665 [details]
File: cgroup
Comment 3 Daniel 2016-02-12 18:08:41 EST
Created attachment 1123666 [details]
File: core_backtrace
Comment 4 Daniel 2016-02-12 18:08:42 EST
Created attachment 1123667 [details]
File: dso_list
Comment 5 Daniel 2016-02-12 18:08:43 EST
Created attachment 1123668 [details]
File: environ
Comment 6 Daniel 2016-02-12 18:08:45 EST
Created attachment 1123669 [details]
File: exploitable
Comment 7 Daniel 2016-02-12 18:08:46 EST
Created attachment 1123670 [details]
File: limits
Comment 8 Daniel 2016-02-12 18:08:47 EST
Created attachment 1123671 [details]
File: maps
Comment 9 Daniel 2016-02-12 18:08:49 EST
Created attachment 1123672 [details]
File: mountinfo
Comment 10 Daniel 2016-02-12 18:08:50 EST
Created attachment 1123673 [details]
File: open_fds
Comment 11 Daniel 2016-02-12 18:08:51 EST
Created attachment 1123674 [details]
File: proc_pid_status
Comment 12 Daniel 2016-02-12 18:08:52 EST
Created attachment 1123675 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 10:32:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 13:40:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.